Package org.eclipse.graphiti.ui.internal.feature

# Class DebugFeature

java.lang.Object
org.eclipse.graphiti.features.impl.AbstractFeature
org.eclipse.graphiti.features.custom.AbstractCustomFeature
org.eclipse.graphiti.ui.internal.feature.DebugFeature

All Implemented Interfaces:
  `ICustomFeature`, `IFeature`, `IFeatureProviderHolder`, `IDescription`, `IName`

public class DebugFeature extends AbstractCustomFeature

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`TYPE_DUMP_ALL`
`static final int`
`TYPE_DUMP_EDIT_PART_DATA`
`static final int`
`TYPE_DUMP_FIGURE_DATA`
`static final int`
`TYPE_DUMP_FIGURE_INCL_CONNECTION_DATA`
`static final int`
`TYPE_DUMP_PICTOGRAM_DATA`
`static final int`
`TYPE_REFRESH`

## Constructor Summary

Constructors
Constructor
Description
`DebugFeature(IFeatureProvider fp, int type)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canExecute(ICustomContext context)`
Can execute.
`void`
`execute(ICustomContext context)`
Execute.
`String`
`getName()`
Gets the name.
`protected int`
`getType()`
`protected void`
`setType(int type)`

### Methods inherited from class org.eclipse.graphiti.features.custom.AbstractCustomFeature

`canExecute, execute, getDescription, getImageId, isAvailable`

### Methods inherited from class org.eclipse.graphiti.features.impl.AbstractFeature

`addGraphicalRepresentation, canUndo, getAllBusinessObjectsForPictogramElement, getBusinessObjectForPictogramElement, getDiagram, getDiagramBehavior, getFeatureProvider, getProgressCallback, getUserDecision, hasDoneChanges, layoutPictogramElement, link, link, manageColor, manageColor, manageDefaultFont, manageFont, manageFont, setProgressCallback, toString, updatePictogramElement`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.features.IFeature

`canUndo, hasDoneChanges`

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureProviderHolder

`getFeatureProvider`

## Field Details

### TYPE_DUMP_PICTOGRAM_DATA

public static final int TYPE_DUMP_PICTOGRAM_DATA

See Also:
  - Constant Field Values

### TYPE_DUMP_FIGURE_DATA

public static final int TYPE_DUMP_FIGURE_DATA

See Also:
  - Constant Field Values

### TYPE_DUMP_EDIT_PART_DATA

public static final int TYPE_DUMP_EDIT_PART_DATA

See Also:
  - Constant Field Values

### TYPE_DUMP_ALL

public static final int TYPE_DUMP_ALL

See Also:
  - Constant Field Values

### TYPE_REFRESH

public static final int TYPE_REFRESH

See Also:
  - Constant Field Values

### TYPE_DUMP_FIGURE_INCL_CONNECTION_DATA

public static final int TYPE_DUMP_FIGURE_INCL_CONNECTION_DATA

See Also:
  - Constant Field Values

## Constructor Details

### DebugFeature

public DebugFeature(IFeatureProvider fp, int type)

## Method Details

### execute

public void execute(ICustomContext context)
Description copied from interface: `ICustomFeature`
Execute.

Parameters:
  `context` - the context

### canExecute

public boolean canExecute(ICustomContext context)
Description copied from interface: `ICustomFeature`
Can execute.

Specified by:
  `canExecute` in interface `ICustomFeature`
Overrides:
  `canExecute` in class `AbstractCustomFeature`
Parameters:
  `context` - the context
Returns:
  true, if successful

### getName

public String getName()
Description copied from interface: `IName`
Gets the name.

Specified by:
  `getName` in interface `IName`
Overrides:
  `getName` in class `AbstractFeature`
Returns:
  the name

### getType

protected int getType()

### setType

protected void setType(int type)